package com.miaxis.video.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.video.mapper.VideoTeachingMapper;
import com.miaxis.video.domain.VideoTeaching;
import com.miaxis.video.service.IVideoTeachingService;

/**
 * 教练视频Service业务层处理
 *
 * @author miaxis
 * @date 2023-02-20
 */
@Service
public class VideoTeachingServiceImpl extends ServiceImpl<VideoTeachingMapper, VideoTeaching> implements IVideoTeachingService {
    @Autowired
    private VideoTeachingMapper videoTeachingMapper;

    /**
     * 查询教练视频列表
     *
     * @param videoTeaching 教练视频
     * @return 教练视频
     */
    @Override
    public List<VideoTeaching> selectVideoTeachingList(VideoTeaching videoTeaching){
        return videoTeachingMapper.selectVideoTeachingList(videoTeaching);
    }
}
